WordPress Support

Плагин "CheckBot" это самая удобная капча для WordPress.

Добавлено 31 мая 2010 в категорию Плагины.

В свое время я жаловался, что среди анти-спам плагинов с капчей нет ни единого, который был бы "человеческим". Все эти плагины с капчей доставляют ощутимое неудобство для комментирующих, а единственная капча, которая мне понравилась в блоге zarabotai.lv не имела реализации для WordPress. Теперь ситуация изменилась и если вы не хотите хакать WordPress, чтобы избавится от авто-спама вы можете установить плагин CheckBot, который ни капли не помешает посетителям блога комментировать ваши записи.

Скачиваем плагин с его домашней страницы и устанавливаем его:

1. Распаковываем архив.

2. В папке CheckBot будут две папки cp1251 и utf8, переименовываем папку utf8 в CheckBot и копируем ее в  /wp-content/plugins/.

3. Заходим в админку блога на вкладку "Плагины" и активируем плагин.

Плагин уже работает и выводит свою капчу. К сожалению, в плагине нет никаких настроек: скажем, я бы хотел иметь возможность выбора различных комплектов картинок. А также в плагине не предусмотрен ручной вывод капчи через вставку кода в файл шаблона, а это значит, что в некоторых шаблонах капча может выводиться криво.

Впрочем, по первому пункту никто не мешает нам заменить картинки в папке images на свои собственные, а поправить выводимую фразу можно отредактировав код в файле CheckBot.php:

117
<p>Подтвердите, что Вы не бот - выберите человечка с поднятой рукой:</p>

Вариантов своих картинок может быть множество: "выбор картинки арбуза", "выбор фигуры треугольника" и т.д. и т.п. Придумать в данном случае можно все, что угодно и тем самым выделить свой блог от других.

Конечно, данный плагин не спасет вас от smo-спама, но от авто-спама вы избавитесь точно: ни один бото-писатель в здравом уме не будет встраивать обход данной защиты в свой спам-софт – слишком уж мала доля тех, кто вообще пользуется анти-спам плагинами, чтобы тратить на них свое время.

 

Автор плагина: ref

Страница плагина: [ссылка]

Рассматриваемая версия: 0.1p от 30.08.2009

Совместимость с версией WordPress: 2.3 и выше.